[B]Update - v6.7.33 - Jan 3rd, 2024[/B]
--[Fix] Changes in title searching format for plex.
--[Fix] Changes in sources to support composite.
--[Change] Added prompt for cloud delete from Torbox and added usenet files also.

[B]Update - v6.7.32 - December 27th, 2024[/B]
--[Fix] Used changes from kodifitzwell for TorBox cloud scraping and playing from cloud.
--[Change] Used updates from kodifitzwell for TorBox for usenet.

[B]Update - v6.7.31 - December 26th, 2024[/B]
--[Change] Made changes to the cache torrent function for TorBox.
--[Change] Made context menu use highlight color for Umbrella Settings
--[Fix] Changes in module loads for internal and cloud scrapers.
--[Fix] Change in way Trakt regular expression for list was handled.
--[Fix] Change to source_utils for title regedit.
--[Fix] Fixed error in code comparing string literal.

[B]Update - v6.7.30 - December 23rd, 2024[/B]
--[Fix] Added fix for TorBox files being skipped on autoplay.
--[Change] Added function to clear all files from TorBox cloud.

[B]Update - v6.7.29 - December 21st, 2024[/B]
--[Fix] Quick fix for context menu on source results.

[B]Update - v6.7.28 - December 20th, 2024[/B]
--[Changes] Added TorBox, EasyDebrid, and Offcloud. Credit to kodifitzwell.
--[Info] Thanks DaleAlanC for allowing use of your TorBox for testing.
--[Info] Thanks Peter for allowing use of your Offcloud for testing.
--[Fix] Made authorization and revokes return to settings.
--[Fix] Fixed provider highlight for uncached torrents from Offcloud.
--[Fix] Removed logging causing hang when searching sources.
--[Info] With 3 providers being added at once I expect bugs. Please let me know if any issues come up. Issues on github will be reopened.

[B]Update - v6.7.27 - November 25th, 2024[/B]
--[Change] AD

[B]Update - v6.7.26 - November 25th, 2024[/B]
--[Change] Adjustments made for rd workaround and max amount of downloads.

[B]Update - v6.7.25 - November 23rd, 2024[/B]
--[Change] Added workaround for RD. Thank you Peter.

[B]Update - v6.7.24 - November 6th, 2024[/B]
--[Change] Added language filter setting to several trakt lists. Enable in settings Trakt section.
--[Workaround] Added workaround from Peter for RD returning empty hash lists.
--[Logging] Logging added for when temp fix is used.

[B]Update - v6.7.23 - October 16th, 2024[/B]
--[Fix] Modified rescrape with all providers.

[B]Update - v6.7.22 - October 8th, 2024[/B]
--[Changes] Added code needed for comet debrid tokens.
--[Changes] Removed several "open settings" entries due to kodi 21 opening settings to first page every time.

[B]Update - v6.7.1 - September 13th, 2024[/B]
--[Fix] Fixed MDBList to not be limited to 20 results.
--[Fix] Fixed scraper dialog not showing correctly on TV Shows from library.
--[Changes] Re-added the ability to use default kodi prompts for scraping dialog.

[B]Update - v6.7.0 - August 23rd, 2024[/B]
--[Fix] Please go to kodi settings and clear any settings set for "Play next video automatically". This is likely been set to "Episodes" previously by Umbrella.
--[Fix] Playlist generation code changed for kodi 21.1 changes.
--[Changes] Metahandler requirement removed and local tracking added from Infinity.
--[Changes] Scraping windows and progress windows updated and changed. credit kodifitzwell
--[Changes] Window monitor implemented.
--[Changes] Episodes use a global variable instead of checking kodi version multiple times.
--[Changes] Episodes handle playlists.
--[Changes] Epsiodes use highlight color for next button text color.
--[Changes] Added getProviderColors function to control. 
--[Changes] Added refresh_contextProperties to control. 
--[Changes] Modified darkColor function in control. 
--[Changes] large amount of changes to the player module and how playlists are built for playnext. 
--[Credit] A lot of the changes in this version come from infinity. credit and thanks to kodifitzwell
--[Fix] TVShows tvshowDirectory function modified for situations where meta was not passed in so flatten function had no total seasons to compare to.
--[Fix] Made changes to playnext using subtitles to return default time when no subtitles are found. thanks adam

[B]Update - v6.6.64 - July 29th, 2024[/B]
--[Fix] Fixed removed function from TMDb movie class.

[B]Update - v6.6.63 - July 27th, 2024[/B]
--[Fix] Changed set_info function to no longer unquote paths.
--[Fix] Fixed bug where trakt lists with same number as limit still showed the next button.
--[Change] Added ability to use tmdb.org for api calls instead of themoviedb.org.

[B]Update - v6.6.62 - July 18th, 2024[/B]
--[Fix] Fixed setting for building playlist for next season when playnext was not enabled.

[B]Update - v6.6.61 - July 17th, 2024[/B]
--[Fix] Fixed broken season flatten.

[B]Update - v6.6.60 - July 17th, 2024[/B]
--[Change] Added code to use season artwork for unreleased episodes. (discord poll)
--[Change] Changed Actor search to use tmdb instead of imdb.

[B]Update - v6.6.59 - July 10th, 2024[/B]
--[Fix] Added code to catch blank values on clearlogo for seasons.

[B]Update - v6.6.58 - July 8th, 2024[/B]
--[Change] Added option to use custom background for addon fanart. General settings.
--[Fix] Corrected anime section to new imdb website format and urls.

[B]Update - v6.6.57 - June 19th, 2024[/B]
--[Change] Changed confirmation popup text on cache clearing for new functions.

[B]Update - v6.6.56 - June 9th, 2024[/B]
--[Change] IMDb lists changed to show imdb in my tv and my movie sections if set to public.

[B]Update - v6.6.55 - June 7th, 2024[/B]
--[Change] Made change to clearlogo code to keep clear logo from show level.
--[Change] Added clear fanart cache.

[B]Update - v6.6.54 - May 24th, 2024[/B]
--[Change] Made change to source_utils code to allow for more title options and less filtering.
--[Fix] Corrected imdb lists.

[B]Update - v6.6.53 - May 14th, 2024[/B]
--[Fix] Change made to MDBList pagination code.

[B]Update - v6.6.52 - May 14th, 2024[/B]
--[Fix] Change made to database detection code.
--[Fix] Change made to imdb movie lists.

[B]Update - v6.6.51 - May 9th, 2024[/B]
--[Fix] Removed code for pagination changes.

[B]Update - v6.6.50 - May 8th, 2024[/B]
--[Fix] Removed unused import.
--[Settings] More changes for settings.
--[Fix] Made changes to mdblist to allow for static lists with no list type to still show.
--[Enhancement] Removed previous changes made for fanart.
--[Change] Removed Title of Show from Episode Progress in widgets.
--[Fix] Made changes to pagination for lists equal to the limit.
--[Enhancement] Removed another unneeded file.
--[Fix] Fixed 4k icon missing on some devices.
--[Fix] Made change to resolve issues identifying MyVideos database on some systems.
--[Fix] Removed subscene module and moved delete all function to tools.
--[Enhancement] Changes to TMDb api url to add images. credit -onEMoAr
--[Enhancement] Changes to Episodes, Seasons to include clearlogo. credit -onEMoAr
--[Enhancement] Changes to Movies to include clearlogo correctly. credit -onEMoAr
--[Enhancement] Changes made to allow user fanart background. credit -onEMoAr
--[Fix] Changes made to control module for checking external modules. credit -onEMoAr
--[Fix] Changes made to service module for settings module. credit -onEMoAr
--[Enhancement] Changes made flatten tv shows. credit -onEMoAr
--[Enhancement] Changes made to settings to accomodate changes.

[B]Update - v6.6.48 - March 22nd, 2024[/B]
--[Fix] Settings change to fix allowing resume from Trakt without Trakt scrobble.

[B]Update - v6.6.47 - March 20th, 2024[/B]
--[Fix] Removed subscene for subtitle options.
--[Fix] Allow resume trakt setting to be set even when scrobble from umbrella is not set.
--[Fix] Added adjustment for episode size being wrong from elfhosted and selfhosted.
--[Enhancement] Re-added Languages IMDB.
--[Change] Made default for all imdb lists 100 now.

[B]Update - v6.6.46 - February 8th, 2024[/B]
--[Fix] Changed settings that were reversed. ATVP and AV1
--[Fix] Added fix for progress window causing issues when caching to real-debrid.
--[Enhancement] Added episode type labels to playnext windows for all 4 themes.

[B]Update - v6.6.45 - February 1st, 2024[/B]
--[Enhancement] Added episode type label.
--[Fix] Changed scrobble on pause to only happen if before marking watched percentage.

[B]Update - v6.6.44 - January 25th, 2024[/B]
--[Enhancement] Added setting for local resume point notification.
--[Enhancement] Added code to enable Trakt scrobble when Trakt authorized.
--[Enhancement] Added code to scrobble on Pause.
--[Fix] Changed some error logging in marking watched.

[B]Update - v6.6.43 - January 19th, 2024[/B]
--[Fix] Added code to check for youtube addon setup with api keys.
--[Fix] Removed code checking for playnext setup correct in settings change detection.
--[Fix] Fixed Search Movies by Actor / Search TV Shows by Actor. Thanks Venom123
--[Enhancement] Added new context menu item for Play Trailer (Select). Venom123 request.
--[Enhancement] Added code to pause settings monitor in situations of multiple settings being set.
--[Omega] Made a change for auto detect of MyVideos.db file.

[B]Update - v6.6.42 - Decemeber 22nd, 2023[/B]
--[Fix] Fixed issue hiding shows from progress.
--[Fix] Fixed issue causing hidden items manager to not show.
--[Omega] Updated value for database to use for Kodi21 MyVideos database file.
--[Enhancement] OpenSubs has now been changed to OpenSubs.com API due to retirement of API. You will need an account to use OpenSubs now.
--[Enhancement] Subscene has been added as an alternate provider for OpenSubs.
--[Info] Whatever provider you select for subtitles will be used for downloading and for playnext.

[B]Update - v6.6.39 - November 22nd, 2023[/B]
--[Fix] Added IMDb Years back in for movies.

[B]Update - v6.6.38 - November 21st, 2023[/B]
--[Fix] Fixed YouTube section.

[B]Update - v6.6.37 - November 20th, 2023[/B]
--[Enhancement] Added language filter for trakt genres.
--[Enhancement] Added Decades for Trakt genres.
--[Enhancement] Added Trakt genres for TV and Movies.
--[Enhancement] Added new icons for different genres from trakt.
--[Fix] Changes made for IMDb lists now have an amount. Set the setting in Settings:General
--[Fix] Several IMDb lists removed due to changes in IMDb website.
--[Fix] 3 second delay added for view to resolve bug of view not being set correctly in some instances.

[B]Update - v6.6.34 - October 31st, 2023[/B]
--[THANKS] Thanks to u/Omars-comin and u/Mammoth-Bullfrog-274 for testing.
--[FIX] Changes made for database name difference in Kodi 21.
--[ENHANCEMENT] Plex is now built in.
--[ENHANCEMENT] Easynews is now built in.
--[ENHANCEMENT] FilePursuit is now built in.
--[ENHANCEMENT] GDrive is now built in.
--[FIX] Change made to resolve scrobble failure.

[B]Update - v6.6.33 - October 31st, 2023[/B]
--[THANKS] Thanks to u/Omars-comin and u/Mammoth-Bullfrog-274 for testing.
--[FIX] Changes made for database name difference in Kodi 21.
--[ENHANCEMENT] Plex is now built in.
--[ENHANCEMENT] Easynews is now built in.
--[ENHANCEMENT] FilePursuit is now built in.
--[ENHANCEMENT] GDrive is now built in.

[B]Update - v6.6.32 - September 18th, 2023[/B]
--[Fix] Fixed broken authorization prompts. Sorry!
--[Enhancement] Added Umbrella Favourites Movies, TV Shows, and Episodes can now be added as favourites.
--[Enhancement] Added ability to show titles on all sections. (Remake any widgets made from Umbrella)
--[Enhancement] Added new list for Digital Releases.
--[Enhancement] Added setting to show or hide release year with movies in general settings.
--[Enhancement] Added Trakt section for skin.
--[Enhancement] Added People search for skin.
--[Enhancement] Added sorting for favourites.
--[Enhancement] Changed text on resolving popups to no longer be bold.
--[Enhancement] Added new search function for trakt lists from skin.
--[Enhancement] Added context menu item to return to movie or tv shows main list.
--[Fix] Removed Refresh Container from Similar from Library.
--[Fix] Removed Copy to Clipboard from Authorization screens.
--[Fix] Changed code for movie and show collection and watchlist import to improve speed.
--[Fix] Made changes to tv show and seasonal level information to avoid imdb id being overwritten.
--[Fix] Changed all occurences of container names to encode for url.
--[Fix] Fixed sort TV Shows sort.

[B]Update - v6.6.29 - August 23rd, 2023[/B]
--[Enhancement] Added ability to use external providers and removed requirements for scraper packages.
--[Enhancement] Added a setting to allow for hiding episode counts on unwatched and fully watched shows.
--[Enhancement] Added support for Trakt reset watching.
--[Enhancement] Changed RD Cloud Scrape to use both downloads and torrents for scraping.
--[Cosmetic] Updated resolving windows to use different text and size artwork. Removed Umbrella icon from left corner due to title overlaps.
--[Fix] Fixed bug where pre_resolve was not cleared on rescrape.
--[Fix] Corrected error causing some items reset in trakt not to have correct counts on tv show and season level.
--[Fix] Change to catch quotes in studio names for library cache.
--[Fix] Made change to allow for new popup concerning exernal providers to happen on update.

[B]Update - v6.6.28 - August 13th, 2023[/B]
--[Fix] Added additional check for authorization id to avoid blank trakt auth ids causing mark playback fail.
--[Fix] Added fallback for playnext subtitles for a minimum in seconds setting. default is 20.
--[Fix] Re-Worked playlist construction with playnext.
--[Fix] Custom color view created to allow for color selection across different versions of kodi and skins.
--[Fix] Playnext AH2 skin Still Waitin fixed.
--[Fix] Playnext AH2 skin with Arctic Fuse skin issue fixed.
--[Fix] Fixed colors not working for providers on source selection.
--[Fix] Fixed seasonal playnext adding seasons again on next episode.
--[Enhancement] All color settings re-worked to make loading faster.
--[Enhancement] Removed all calls to getColor, getHighlightColor, and getSourceHighlightColor and made settings accessed directly.
--[Enhancement] Removed all places settings were accessed more than once in code and moved to global setting to increase speed.
--[Enhancement] Playnext Arctic Fuse skin added.
--[Enhancement] Multiple seasons added for playnext.

[B]Update - v6.6.27 - August 1st, 2023[/B]
--[Fix] Dark color compare fix for blank values.
--[Info] I am aware some skins are not showing colors and options for colors. Setting skin to default should allow you to set your colors. Once set, you can then use skin again.
--[Info] Changes are being made to allow for a custom view for color options to avoid any further issues.

[B]Update - v6.6.26 - July 26th, 2023[/B]
--[Enhancement] Color button setting is back for Kodi 20+.
--[Enhancement] Wrote code to write default color button colors on load.
--[FIX] Changes made for duration for episodes pulled from trakt.
--[FIX] Removed duplicates from history in movies and episodes.
--[Enhancement] Added option to show or hide watched in TV Shows Progress.
--[Enhancement] Added Watched section to TV Shows.
--[Enhancement] Added Play trailer into Kodi 20 widget all context menu.
--[Enhancement] Added option for Play Trailer from context menu for movies and tv shows.

[B]Update - v6.6.24 - June 29th, 2023[/B]
--[ENHANCEMENT] Added Poster artwork on resolving popup.
--[ENHANCEMENT] Modified limit of hidden trakt items to sync from 1000 to 2000.
--[ENHANCEMENT] Applied trakt hidden items filter to Progress Shows - More later once decided among users..
--[ENHANCEMENT] Added option to remove Umbrella text from context menu items.
--[LOGGING] Added some logging to track play action.
--[REMOVAL] Removed Furk from addon. It will no longer be supported.
--[FIX] Added code to kill busy dialog when filtering sources completed.

[B]Update - v6.6.23 - June 14th, 2023[/B]
--[Update] The "I have no style" update.
--[Enhancement] Added new custom progress dialog. (Thanks Peter)
--[Enhancement] Added new custom ok dialog. (Thanks Peter)
--[Enhancement] Added new custom confirm dialog. (Thanks Peter)
--[Enhancement] Added new movie list for released this month.
--[Enhancement] Added new movie list for released this month on physical or digital.
--[Enhancement] Added import now option for auto imported trakt lists.
--[Coming Up] Select and Multi-Select dialog customization.
--[Coming Up] Font use from skin for more consistent look and font sizes throughout.

[B]Update - v6.6.22 - May 18th, 2023[/B]
--[Fix] Attempted fix for no meta sent from widgets created from library causing crashes on some systems.
--[Fix] Adjusted filters to better identify HDR.
--[Fix] Changed log utils and logging to all use same logic.
--[Enhancement] TV Shows Progress added to match Trakt.tv site progress.

[B]Update - v6.6.21 - May 13th, 2023[/B]
--[FIX] Small adjustment for new rescrape with all providers auto feature.
--[FIX] Added new entries and context menu entries for languages. Currently not translated.
--[FIX] Added setting.

[B]Update - v6.6.20 - May 11th, 2023[/B]
--[FIX] Added option for prioritize direct to top of results.
--[FIX] Fixed MP4 filtering.
--[FIX] Adjusted icon to match format name for case sensitive systems.
--[FIX] Changed library sync to use temp table and added container refresh.
--[FIX] Changed similar from library to use a temp database.
--[FIX] Changed deleted method for database when syncing cached movies.
--[FIX] Added ability to clear cached movies database table.
--[FIX] Added AppleTV+ quality filter.
--[FIX] Added catch for movies_temp insert.
--[DEBUG] Logging added to help identify when items fail meta check.
--[ENHANCEMENT] Added new setting to allow for search with all providers if no sources found.

[B]Update - v6.6.19 - Mar 31st, 2023[/B]
--[FIX] Fixed issue with playlist creation for playnext from widgets.
--[FIX] Adjustment made where hidden items in widgets still show in search.
--[FIX] TV Show History fixed for incorrect value used for cache slider.
--[FIX] Fixed downloads with ":" in Title.
--[FIX] Fixed Show Titles not being assigned correctly in Kodi 20 on widgets.
--[FIX] Fixed code for playnext still watching window causing errors.
--[FIX] Compare cached movie amount to library movie amount on boot.
--[ENHANCEMENT] Added Paramount+ to list of networks.
--[ENHANCEMENT] Similar from library modified to use local cache if set.

[B]Update - v6.6.18 - Feb 21th, 2023[/B]
--[FIX] Fixed issue with playlist creation for playnext from widgets.

[B]Update - v6.6.17 - Feb 19th, 2023[/B]
--[FIX] Added conditions for Kodi 21 database file.
--[FIX] Removed bad include from ah2 playnext skin file.
--[FIX] Added catch for kodi 20+ to remove addStreamInfo error on playlist creation
--[FIX] Added tagline back into movie meta.
--[INFO] Work is in progress to remove requirements for other plugins. Metahandler or Trakt requirement will be removed soon.

[B]Update - v6.6.15/16 - Feb 17th, 2023[/B]
--[FIX] Verison bumped to 6.6.16 to remove excessive logging from context settings.

[B]Update - v6.6.14 - Feb 8th, 2023[/B]
--[FIX] Change to copy methods.
--[FIX] Fix for some items not showing in unaired.
--[FIX] Adjusted TMDB search for tv show error.
--[CREDIT] Big thanks to user jigoop1 for their help getting infolist items updated.

[B]Update - v6.6.13 - Feb 7th, 2023[/B]
--[FIX] Multiple bug fixes under the hood related to Nexus and Kodi 20.
--[FIX] Corrected add to cloud errors.
--[FIX] Adjusted to remove number of watched value from 0 to blank if nothing watched.
--[ENHANCEMENT] Readded Test version detection.
--[ENHANCEMENT] Added similar to and recommended from Library.
--[ENHANCEMENT] Adjusted recommended lists from TMDB to remove some (adult) results.
--[ENHANCEMENT] Hidden scrape added. Not recommended.
--[ENHANCEMENT] Added Hide Watched in Widgets. Change in Settings - General
--[NEXUS] Adjusted infotag assignment for Nexus.

[B]Update - v6.6.11 - Jan 23rd, 2023[/B]
--[FIX] Fixed add to cloud for debrid.

[B]Update - v6.6.10 - Jan 21st, 2023[/B]
--[HOTFIX] Potential fix for reuselanguageInvoker causing crashes. All credit to TikiPeter!
--[ENHANCEMENT] Set trakt recently released trending to use current year only after 6th month of year.
--[ENHANCEMENT] Made codes from authorization auto-copy to clipboard.
--[ENHANCEMENT] Ability to use custom subtitle download path for downloads added by roieeedouek.
--[ENHANCEMENT] Will be used automatically if custom subtitle download folder enabled in Kodi.
--[NEXUS] Added new MyVideos121 into cache detection.
--[NEXUS] Nexus now has a repo.
--[FIX] Added busy spinner when gathering trakt lists for import management window.
--[FIX] Added NoneType condition for playnext issue.
--[FIX] Made Hide Movies in Cinema also hide unreleased movies in all lists.
--[FIX] Sort by date watched fixed for trakt lists.
--[FIX] DirectProgress Scraping combined with Playnext causing skip episode fixed.
--[FIX] Highlight Color instead of hard coded blue now used on codes in prompts for account authorizations.
--[FIX] Added metadatahandler 5.0.1a to repo with fixes for local indicators.
--[FIX] Using local for indicator for watched status now requires a newer version of metahandler due to fixing an issue with metadatahandler exception on cast.

[B]Update - v6.6.09 - Jan 13th, 2023[/B]
--[FIX] Added fix for searching shows with apostrophe in name with TMDb as provider.
--[FIX] Quick patch for plexshares not being detected as a valid provider account

[B]Update - v6.6.08 - Jan 12th, 2023[/B]
--[PATCH] One more fix for colors on Nexus. Sorry.
--[PATCH] Pushed update to force Nexus users back to Matrix version.
--[PATCH] Colors were forced back to Kodi 19 version due to most skins not being compatible with colorbutton setting in Nexus.
--[FIX] Enable Disable Toggle Added for Plex, Furk, FilePursuit, and GDrive
--[ENHANCEMENT] Settings changes due to exceeding max amount of settings allowed in a category.
--[ENHANCEMENT] Addon has too many settings. A change in settings is overdue.
--[ENHANCEMENT] Added sliders to control number of hours things are cached.
--[ENHANCEMENT] Added icon packs and ability to load from web.
--[ENHANCEMENT] Context Menu version bump for highlight text color.
--[ENHANCEMENT] Added swipe left to cancel/ back gesture for touchscreens.
--[ENHANCEMENT] Added option to show back button on source select for touchscreens.
--[ENHANCEMENT] New Trakt Trending (Recently Released) list added.
--[ICONPACKS] Some Packs removed due to issues.

[B]Update - v6.6.05 - Jan 5th, 2023[/B]
--[FIX] Changed reuselanguageInvoker back to True by default due to complaints. Can be turned off in Tools or Settings: General
--[FIX] Cloud Scrapers Fixed.
--[FIX] Change source selection screen to build all colors properties before constructing the window.
--[FIX] Adding cache in for MDBList and Simkl Lists. All cache for 6 hours.
--[FIX] Fixed issue with error on source select colors.
--[FIX] Removed some logging.
--[FIX] When creating source library folders they are created with the content set correctly now.
--[FIX] Furk api pull from settings added.
--[NEXUS] Removed all instances of Element Tree from code to help with crashes.
--[ENHANCEMENT] Add new audio filter for aac.
--[ENHANCEMENT] Moved reuselanguageInvoker setting to Settings: General.
--[ENHANCEMENT] Added option to turn languageinvoker on and off directly from tools list.
--[ENHANCEMENT] Added trending weekly and monthly in for Simkl, hidden by default.
--[ENHANCEMENT] Added color support for Furk and FilePursuit
--[ENHANCEMENT] Changed provider colors to only show for added providers in sources.

[B]Update - v6.6.03 - Dec 31st, 2022[/B]
--[FIX] Fixed setting that was backwards for try only 1 source on source select.
--[FIX] Corrected library items importing with a "." as first character making them hidden files.
--[FIX] Adjusted all debrid to return on 503
--[FIX] Added try and catch to startup settings check for Apple TV.
--[ENHANCEMENT] Added new Simkl Trending List for TV Shows.
--[ENHANCEMENT] Added new Simkl Trending List for Movies.
--[ENHANCEMENT] Simkl Must be authenticated for new trending lists to show. More Simkl features and lists coming soon.

[B]Update - v6.6.02 - Dec 31st, 2022[/B]
--[FIX] Fixed durations to show correctly in progress for ah2. If it is not showing it is because no runtime was returned.
--[FIX] Full-Screen Resolve changes made for blank tvshowtitle or none
--[FIX] Scrape and Resolve changes made for blank meta.
--[FIX] Scrape and Resolve changes made for cached giving no results.
--[FIX] Real Debrid cloud scrape log fix.
--[ENHANCEMENT] Made new windows use highlight color and scraper dialog colors like previous windows.

[B]Update - v6.6.01 - Dec 28th, 2022[/B]
--[SPECIAL THANKS] Special Thanks to TikiPeter(Fen) and u/Mammoth-Bullfrog-274. Both have contributed and helped a ton and without their help, Umbrella would not exist. It is appreciated.
--[INFORMATION] There are a lot of changes on this update. Testing has been done, but bugs always happen. Please report any issues.
--[ENHANCEMENT] 17 to 35 color selections! "Buddy the Elf, What's your favorite color?"
--[ENHANCEMENT] Playnext changed to allow for percentage or time or last subtitle time(even if subtitles are not used). 
--[ENHANCEMENT] Playnext changed to allow themes to be used without skins.
--[ENHANCEMENT] Added color options for providers in source selection.
--[ENHANCEMENT] Adjusted Quality Icons
--[ENHANCEMENT] Added plain icons to go with colors for quality on sources, can be turned off in settings.
--[ENHANCEMENT] Changed source selection to use artwork for background.
--[ENHANCEMENT] Added trending from tmdb for day and week for both movies and tv.
--[ENHANCEMENT] Full-Screen Scrape and Resolve
--[ENHANCEMENT] Icon-Only Scrape and Resolve
--[ENHANCEMENT] Changed progress to Umbrella Icon.
--[ENHANCEMENT] Adjusted Uncached Sources view and AH2 Playnext
--[ENHANCEMENT] Added Watched Percentage Marking Option in setting Playback.
--[ENHANCEMENT] Added ability to hide or show fanart as background on source select and scraping screens.
--[ENHANCEMENT] Added ability to only try 1 link on source selection.
--[ENHANCEMENT] Simkl Authentication added. More Coming. Really no point authenticating, but more will be added in the next update.
--[ENHANCEMENT] Adjusted transparency on background art not being correct. Thanks Peter!
--[FIX] Added red back changed defaults that were too high.
--[FIX] IMDB Watchlists corrected.
--[FIX] Removed test version detection to stop accidentally deleting trakt and settings.
--[FIX] Adding missing still watching file in for ah2 style playnext.
--[FIX] Changed playnext subtitle check to check if already downloaded.
--[FIX] Added enable/ disable for EasyNews.
--[FIX] Changed logging when set to kodi log to use higher level so debug logs show without enabling Kodi debug.
--[FIX] Info logging changed to debug.
--[FIX] Fixed error (blank settings) caused when checking settings for changes.
--[FIX] Added setting for providers Trakt and TMDB for searches.
--[FIX] Added widget refreshes to Trakt Scrobbles.
--[FIX] Fixed a typo in TV Show Collection import from Trakt.
--[FIX] Adjusted for issue with full-screen scrape and using library files.

[B]Update - v6.5.90-94 - Dec 1st, 2022[/B]
--[FIX] Removed entire Sync Trakt Collection section from settings.
--[FIX] Adjusted Trakt Sync for devices that do not have "System.InternetState".
--[FIX] Adjustment for trakt watchlist and collection imports.
--[FIX] Fixed typo causing tables to not be dropped correctly when updating lists.
--[FIX] Changed name for recently released TMDB list. Small adjustment for logging.
--[FIX] Adjustment to watchlist activity for sync.
--[FIX] Additional logging for watchlist sync.
--[FIX] Trakt revoke now deletes Trakt Cache.
--[Enhancement] Movies and TV Source Select options broken into different settings.
--[ENHANCEMENT] Add collection to list imports.
--[ENHANCEMENT] Made manual import now and automatic import different settings.
--[ENHANCEMENT] Added recently released on media formats for lists.
--[ENHANCEMENT] Made changes to version comparison to allow for test version detection.
--[ENHANCEMENT] Movies and TV Source Select options broken into different settings.
--[INFORMATION] All list importing settings have been moved to the "Library" section of settings.
--[CREDIT] Thanks to user "-fr1sty" for reporting internetstate and library import issues.

[B]Update - v6.5.89 - Nov 22th, 2022[/B]
--[FIX] Library update for episodes restored.
--[FIX] Reverted player back to 6.5.85 code.
--[INFO] There is currently an issue with playnext. I am aware of it and working on it.
--[INFO] If you are getting playback failed or issues. Turn off play next for now.

[B]Update - v6.5.88 - Nov 20th, 2022[/B]
--[FIX] Reverted player back to 6.5.85 code.
--[FIX] Library update for episodes restored.

[B]Update - v6.5.86/87 - Nov 19th, 2022[/B]
--[FIX] Adjustments for playing packs with playnext enabled and auto-resume.
--[FIX] Adjustments to library import for errors with checking content types.

[B]Update - v6.5.86 - Nov 19th, 2022[/B]
--[FIX] Adjustments to library import for errors with checking content types.

[B]Update - v6.5.85 - Nov 14th, 2022[/B]
--[ENHANCEMENT] Changed amount of results pulled to generate based on list to 20 for tv and movies.
--[ENHANCEMENT] Added similar to lists for tv and movies.
--[FIX] Adjusted URL for similar shows.
--[FIX] Added some checks for real-debrid cloud files.

[B]Update - v6.5.83 - Nov 10th, 2022[/B]
--[ENHANCEMENT] Changed amount of results pulled to generate based on list to 20 for tv and movies.

[B]Update - v6.5.82 - Nov 9th, 2022[/B]
--[BUG FIX] Added option to hide "show uncached results" popup
--[ENHANCEMENT] Add a "Based on Recently Watched" list to Movies.
--[INFORMATION] Add a "Based on Recently Watched" list to TV Shows.

[B]Update - v6.5.80 - Nov 6th, 2022[/B]
--[BUG FIX] Fix for popup after video ends.

[B]Update - v6.5.79 - Nov 5th, 2022[/B]
--[BUG FIX] Changes stashed for seasonal so bug fix could be pushed.

[B]Update - v6.5.78 - Nov 4th, 2022[/B]
--[BUG FIX] Reverted slider for 24 hour import delay back to 24 hour toggle.
--[BUG FIX] Seasons "title" missing in some views.
--[BUG FIX] Library Import - Episodes were being imported that were no longer on lists to be imported.
--[ENHANCEMENT] Added landscape seasons art from Fanart.
--[ENHANCEMENT] Playnext backup method for widgets.
--[INFORMATION] Arctic Horizon 2 is not supported. Issues opened concerning this skin will be immediately closed.

[B]Update - v6.5.77 - Oct 17th, 2022[/B]
-- Reverted slider for 24 hour import delay back to 24 hour toggle.
--[BUG FIX] Seasons "title" missing in some views.
--[ENHANCEMENT] Added landscape seasons art from Fanart.

[B]Update - v6.5.76 - Oct 15th, 2022[/B]
-- Another super spooky October update!
-- Mainly bug fixes. More enchancements and hopefully revised Playnext coming in next update.
--[BUG FIX] Finish watching missing meta information.
--[BUG FIX] Adjustments made for mixed content lists. tvshows and movies on one list.
--[BUG FIX] Fixed incorrect duration showing for episode times.
--[BUG FIX] Changes made for some types of downloads going to movies instead of tv shows folder.
--[ENHANCEMENT] Added networks to meta data on movies for skins that show network.
--[ENHANCEMENT] Changed requirement for new CocoScrapers package with improved scraping with language codes in titles.
--[ENHANCEMENT] Added slider to set hour intervals for library update.
--[ENHANCEMENT] Added slider to set delay for import to library by hours.

[B]Update - v6.5.75 - Oct 3rd, 2022[/B]
-- More settings adjustments.

[B]Update - v6.5.74 - Oct 3rd, 2022[/B]
-- Small patch for issues scraping TV Shows from library.
-- Super spooky October update.
-- Changes made for title substitution.
-- Fixes for Trakt liking lists.
-- Hungarian language strings added. Thanks github user 1nf5um

[B]Update - v6.5.73 - Oct 2nd, 2022[/B]
-- Super spooky October update.
-- Changes made for title substitution.
-- Fixes for Trakt liking lists.

[B]Update - v6.5.72 - Sept 29th, 2022[/B]
-- Update to allow management of imported lists from trakt to library.
-- New list selection window for adding, removing, and managing imported lists.
-- New automatic list update with only new content.
-- Changes to all list imports for increase in speed.
-- New setting for library import unaired episodes.
-- Settings added for movie and episode filter by internet speed.
-- Adjustments made for some foreign language titles.
-- Several small settings fixes and adjustments.
-- Language strings merged in from github. -thank you user Wil83

[B]Update - v6.5.70 - Sept 9th, 2022[/B]
-- Changes made to attempt to help with crashing on some skins.

[B]Update - v6.5.69 - August 26, 2022[/B]
-- Nice
-- Settings format adjusted for latest kodi requirements.

[B]Update - v6.5.68 - August 24, 2022[/B]
-- Video Filters Added.
-- Audio Filters Added.
-- Sorting and Filtering Sources now in a new category in settings.
-- Create Strm Context Menu Option Added.

[B]Update - v6.5.67 - August 21, 2022[/B]
-- GDrive Re-Added
-- Scraper version bump. 
-- Added setting to sort flattened seasons descending. 

[B]Update - v6.5.66 - August 14, 2022[/B]
-- Fixed issue with easy news username not being detected by plugin from cocoscrapers.
-- Thanks to reddit user u/retrobushwacker for pointing this issue out.
-- Easy news premium section changed to point at Cocoscrapers now.

[B]Update - v6.5.65 - August 12, 2022[/B]
-- Added PlexShare Compatibility.
-- Small bump in version to trigger update with scrapers.

[B]Update - v6.5.64 - August 10, 2022[/B]
-- Added PlexShare Compatibility.

[B]Update - v6.5.63 - August 8, 2022[/B]
-- More edits for hiding un-aired episodes.
-- Adjustments to force Kodi settings if Playnext enabled.
-- Fix for skin breaking on studio content type.
-- System Exit adjustments

[B]Update - v6.5.61 - August 4, 2022[/B]
-- Added hide unaired for seasons also.

[B]Update - v6.5.60 - August 4, 2022[/B]
-- Added fix for resume issues.
-- Added a requested language for tmdb meta requests.

[B]Update - v6.5.59 - August 2, 2022[/B]
-- CocoScrapers are now included.
-- Please remove UmbrellaScrapers. They are no longer being used.
-- New Setting to remove popup for duplicates.

[B]Update - v6.5.58 - August 1, 2022[/B]
-- Made authorizations return to setting after authorized or revoked.
-- Fixed issues with Authorizing TMDB

[B]Update - v6.5.57 - July 31, 2022[/B]
-- Removed "My Accounts"
-- ***ALL CREDENTIALS WILL NEED TO BE REAUTHORIZED***
-- Please update your credentials for debrid and trakt in Umbrella > Tools > Settings: Accounts
-- Sorry for any issues this update may cause you.
-- New PlayNext theme for Auramod Theme.
-- New Setting for AV1 File Format Identification.
-- New Setting Start Umbrella on Launch.
-- New identifier added for Opus sound files.
-- Small bump for fix with MDBList module.

[B]Update - v6.5.56 - July 31, 2022[/B]
-- Removed "My Accounts"
-- Please update your credentials for debrid and trakt in Umbrella > Tools > Settings: Accounts
-- Sorry for any issues this update may cause you.
-- New PlayNext theme for Auramod Theme.
-- New Setting for AV1 File Format Identification.
-- New Setting Start Umbrella on Launch.
-- New identifier added for Opus sound files.

[B]Update - v6.5.55 - July 25, 2022[/B]
-- PlayNext Skin Added for AH2
-- Setting for hiding Hide Close button on play next.

[B]Update - v6.5.54 - July 22, 2022[/B]
-- Fix for PlayNext with TMDBHelper.
-- Split Pre-Emp Settings into TV/Movie
-- Adjustments for incorrect values added to cloudflare.
-- Added color setting for PlayNext and Still Watching background.
-- Adjustments for All-Debrid and Premiumize file type exclusions.

[B]Update - v6.5.53 - July 19, 2022[/B]
-- Additional settings for new lists to hide and show.

[B]Update - v6.5.52 - July 18, 2022[/B]
-- Added MDBLists. Top List and User Lists
-- Added Black in every color selection.
-- Added setting to hide list owner names in trakt lists.

[B]Update - v6.5.51 - July 14, 2022[/B]
-- Added Filepursuit back to scrape results.

[B]Update - v6.5.50 - July 13, 2022[/B]
-- Moved dollar sign fix to scrapers.
-- Changed PlayNext Still Watching max from 10 to 40.

[B]Update - v6.5.49 - July 11, 2022[/B]
-- Added Easy News back to scraping results.
-- Please make sure after enabled easy news in my accounts to go to Tools> Cache Functions> Clear Providers Cache

[B]Update - v6.5.48 - July 10, 2022[/B]
-- Update for issues with scraper. Removed a few troublesome hosts.

[B]Update - v6.5.47 - July 8, 2022[/B]
-- Re-Added Custom Timeout for Trakt for those with connection timeouts. 
-- Add swith to put Dolby-Vision above HDR in prioritized searches. 

[B]Update - v6.5.46 - July 8, 2022[/B]
-- Small bump to force scraper update. 

[B]Update - v6.5.45 - July 7, 2022[/B]
-- Update to router for "Play Random" 
-- Update to Trakt for 401 and Lists that have been changed to private errors 

[B]Update - v6.5.42 - July 5, 2022[/B]
-- Possible fix for episodes not being marked as watched. 

[B]Update - v6.5.41 - July 4, 2022[/B]
-- Index out of range fix. 

[B]Update - v6.5.40 - July 4, 2022[/B]
-- Fixed Trakt Re-Authorize running over and over again for 401. 
-- For what we can do on plugin side this is fixed. 
-- Any lists that are missing as a result of this change are being marked as private by Trakt. 

[B]Update - v6.5.39 - July 3, 2022[/B]
-- Fixed missing setting for Trakt. Should resolve "Re-Authorize Trakt" nonstop problems. 

[B]Update - v6.5.37 - July 2, 2022[/B]
-- Looking at issue with title's being compared for none first. 

[B]Update - v6.5.36 - July 2, 2022[/B]
-- Removed more log statements. 

[B]Update - v6.5.35 - July 2, 2022[/B]
-- Removed custom timeout and logging. Appears to be causing crashes for some. 

[B]Update - v6.5.34 - July 1, 2022[/B]
-- Timeout values changed for Trakt calls. Testing extended timeouts for slower networks. 

[B]Update - v6.5.31 - June 30, 2022[/B]
-- Logging Added. Attempting to track down episodes being marked as watched issue. 

[B]Update - v6.5.30 - June 30, 2022[/B]
-- Small bump to fix logging error 
-- Upon Request the Exuary icons have been re-added. You can set them from settings.
-- Additional logging has been added to attempt to track some issues with episodes being marked.
-- Fanart Key Replaced.

[B]Update - v6.5.29 - June 30, 2022[/B]
-- Upon Request the Exuary icons have been re-added. You can set them from settings.
-- Additional logging has been added to attempt to track some issues with episodes being marked.
-- Fanart Key Replaced.

[B]Update - v6.5.28 - June 28, 2022[/B]
-- Moved to My Accounts module from Ezra.
-- Users now have the ability to input their own Trakt Client keys.
-- Thanks to Ezra Dev for being open to collaboration.
-- Umbrella Player should now be available in TMDBHelper Players.

[B]Update - v6.5.26/27 - June 25, 2022[/B]
-- Default to white icon set now. Maroon is in settings..

[B]Update - v6.5.25 - June 24, 2022[/B]
-- Entire new icon set.
-- Fixed small error in Episode List module.
-- Updated settings added option for search movies and search tv on main menu.

[B]Update - v6.5.24 - June 21, 2022[/B]
-- Changed artwork

[B]Update - v6.5.23 - June 21, 2022[/B]
-- Setup new repo.

[B]Update - v6.5.20 - June 18, 2022[/B]
-- Made adjustments to replace "$" in titles.

[B]Update - v6.5.15 - June 15, 2022[/B]
-- Corrected news and info section code.
-- Added news and info back into default menu.

[B]Update - v6.5.14 - June 15, 2022[/B]
-- Modifed Umbrella to use trakt information provided by my accounts module instead of hard coded client id and secret.
-- Setup update-detection to work.
-- Started new branch for Kodi 20 development to start.

[B]Update - v6.5.13 - June 15, 2022[/B]
-- Modifed Umbrella to use trakt information provided by my accounts module instead of hard coded client id and secret.

[B]Update - v6.5.12 - June 7, 2022[/B]
-- Requires Umbrella Scrapers now. You can delete fenomscrapers.

[B]Update - v6.5.10 - June 7, 2022[/B]
-- Updated to take over scrapers package also.

[B]Update - v6.5.9 - June 1, 2022[/B]
-- Updated my account for compatibility with ezra.

[B]Update - v6.5.8 - May 12, 2022[/B]
-- Updated plugin for updates from repo.

[B]Update - v6.5.7 - May 10, 2022[/B]
-- Now Umbrella....

[B]Update - v6.5.6 - May 05, 2022[/B]
--Setup umbrella and removed some menu options.